%define pkgname	feedparser

Name:		python-feedparser
Version:	6.0.10
Release:	%mkrel 1
Summary:	Parse RSS and Atom feeds in Python
License:	BSD
Group:		Development/Python
URL:		https://pypi.python.org/pypi/feedparser
Source0:	https://pypi.python.org/packages/source/f/feedparser/%{pkgname}-%{version}.tar.xz
BuildArch:	noarch

Requires:	python-chardet
Obsoletes:	python-feedparser
Provides:	python-feedparser = %{version}-%{release}

%description
Feedparser is the "Universal Feed Parser" library for python, which
handles RSS 0.9x, RSS 1.0, RSS 2.0, CDF, Atom 0.3, and Atom 1.0 feeds.

%package -n python3-%{pkgname}
Summary:	Parse RSS and Atom feeds in Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	lib64python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-chardet

Requires:	python3-chardet
Requires:   python3-sgmllib3k

%description -n python3-%{pkgname}
Universal Feed Parser is a Python 3 module for downloading and parsing
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91,
Userland RSS 0.91, RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0,
Atom 0.3, Atom 1.0, and CDF feeds. It also parses several popular extension
modules, including Dublin Core and Apple's iTunes extensions.

%prep
%setup -q -n %{pkgname}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

find -type f -exec sed -i 's/\r//' {} ';'
find -type f -exec chmod 0644 {} ';'

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkgname}
%doc LICENSE README.rst NEWS
%{python3_sitelib}/*


%changelog
* Fri Aug 26 2022 TerryN <terryn94 at gmail.com>  6.0.10-1pclos2022
- update
- drop python2 package

* Mon Aug 22 2022 tex - 5.2.1-2pclos2022
- rebuild against updates

